{ pkgs }:

pkgs.stdenv.mkDerivation rec {
  pname = "creamlinux";

  src = pkgs.fetchFromGitHub {
    owner = "Novattz";
    repo = "creamlinux-installer";
    rev = "f9e7c2f614d45d3c286692ea9f0356788c515103";
    sha256 = "sha256-wOzNE6PsGhRsWBuIVQPN/5+aKjl0Gq45qLrL6DceLDM=";
  };

  propagatedBuildInputs = [
    (pkgs.python3.withPackages (
      pythonPackages: with pythonPackages; [
        requests
        rich
      ]
    ))
  ];

  dontUnpack = true;
  installPhase = ''
    install -Dm755 ${./main.py} $out/bin/${pname}
  '';

  meta = {
    description = "A user-friendly tool for managing DLC for Steam games on Linux systems.";
    homepage = "https://github.com/Novattz/creamlinux-installer";
    maintianers = "cswimr";
  };
}
